Fix http://bugs.webkit.org/show_bug.cgi?id=17007 ([GTK] autogen.sh attempts to use "libtoolize" on the Mac).

Reviewed by Alp Toker.

libtoolize is installed as glibtoolize on Mac OS X to avoid naming conflicts
with other system commands.  Check for the presence of glibtoolize if libtoolize
cannot be found.

* autogen.sh:


git-svn-id: http://svn.webkit.org/repository/webkit/trunk@29807 268f45cc-cd09-0410-ab3c-d52691b4dbfc
diff --git a/autogen.sh b/autogen.sh
index 1c0fc61..a929538 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -11,23 +11,35 @@
 DIE=0
 
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have autoconf installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
-	DIE=1
+    echo
+    echo "You must have autoconf installed to compile $PROJECT."
+    echo "Install the appropriate package for your distribution,"
+    echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+    DIE=1
 }
 
 (automake --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have automake installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
-	DIE=1
+    echo
+    echo "You must have automake installed to compile $PROJECT."
+    echo "Install the appropriate package for your distribution,"
+    echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+    DIE=1
+}
+
+LIBTOOLIZE=libtoolize
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+    LIBTOOLIZE=glibtoolize
+    ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have libtool installed to compile $PROJECT."
+        echo "Install the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
+        DIE=1
+    }
 }
 
 if test "$DIE" -eq 1; then
-	exit 1
+    exit 1
 fi
 
 rm -rf $top_srcdir/autom4te.cache
@@ -35,7 +47,7 @@
 touch README INSTALL
 
 aclocal || exit $?
-libtoolize --force || exit $?
+$LIBTOOLIZE --force || exit $?
 autoheader || exit $?
 automake --foreign --add-missing || exit $?
 autoconf || exit $?